void CAN_SetFilterAutomotive(CAN_FilterTypeDef sFilterConfig1,
		CAN_HandleTypeDef hcan);
void CAN_MsgSetup(uint32_t Length, uint32_t Identifier);
void WriteFuelType();
void CAN_TxMessage(uint8_t rqstData[8], CAN_HandleTypeDef hcan);
void CAN_GetFuelType(CAN_HandleTypeDef hcan);
void CAN_GetVIN(CAN_HandleTypeDef hcan);
void CAN_GetSituation(CAN_HandleTypeDef hcan);
void CAN_RxData(CAN_HandleTypeDef hcan, uint32_t RxFifo, uint16_t buffer[]);
void CAN_PrintOut(int choose, CAN_DataStore storage);
CAN_DataStore CAN_GetStorage();

/** @defgroup Prints
 * @{
 */
#define PRINT_VIN            (0)
#define PRINT_DATA           (1)
#define PRINT_FUELTYPE		 (2)
#define PRINT_SITUATION		 (3)
/**
 * @}
 */

/** @defgroup FuelTypes
 * @{
 */
#define	NOT_AVAILABLE  	0x00
#define	GASOLINE 	 	0x01
#define METHANOL  		0x02
#define	ETHANOL  		0x03
#define	DIESEL 			0x04
#define	LPG  			0x05
#define	CNG  			0x06
#define	PROPANE  		0x07
#define	ELECTRIC  		0x08
#define	OTHER  			0x09
/**
 * @}
 */
